##
##  html2latex.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         html2latex
Summary:      HTML to LaTeX Conversion Tool
URL:          http://html2latex.sourceforge.net/
Vendor:       Peter Thatcher
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        HTML
License:      GPL
Version:      1.1
Release:      20080101

#   list of sources
Source0:      http://download.sourceforge.net/html2latex/html2latex-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= 5.8.3, perl-xml >= 5.8.3
PreReq:       OpenPKG, openpkg >= 20160101, perl >= 5.8.3, perl-xml >= 5.8.3

%description
    HTML2LaTeX is converts a properly formatted HTML file into a properly
    formatted LaTeX file.

%track
    prog html2latex = {
        version   = %{version}
        url       = http://sourceforge.net/projects/html2latex/files/
        regex     = html2latex-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    #   no-op

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/html2latex/HTML \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5
    ( echo "#!%{l_prefix}/bin/perl -w"
      echo "use lib \"%{l_prefix}/lib/html2latex\";"
      cat html2latex
    ) >html2latex.new
    %{l_shtool} install -c -m 755 \
        html2latex.new $RPM_BUILD_ROOT%{l_prefix}/bin/html2latex
    %{l_shtool} install -c -m 755 \
        html2latex.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        HTML/Latex.pm $RPM_BUILD_ROOT%{l_prefix}/lib/html2latex/HTML/
    %{l_prefix}/bin/pod2man HTML/Latex.pm >html2latex.conf.5
    %{l_shtool} install -c -m 755 \
        html2latex.conf.5 $RPM_BUILD_ROOT%{l_prefix}/man/man5/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

